package com.me.pacman.entity;

import com.badlogic.gdx.math.Vector2;
import com.me.pacman.Constants;
import com.me.pacman.entity.ai.InkyChaseBehaviour;
import com.me.pacman.entity.ai.StaticTargetBehaviour;
import com.me.pacman.entity.ai.Target;
import com.me.pacman.state.PlayState;

public class Inky extends Ghost {

    public static final Target SCATTER_TARGET = new Target(Constants.GAME_WIDTH / 8, -1);

    public static final int DOT_LIMIT = 30;

    public Inky(PlayState state, Vector2 pos, Direction direction) {
        super(state, pos, direction, 2, new InkyChaseBehaviour(state), new StaticTargetBehaviour(state, SCATTER_TARGET), true);
    }

    @Override
    public void update(float dt) {
        if (inHouse) {
            if (state.pelletsEatenSinceDeathCounterEnabled) {
                if (state.pelletsEatenSinceDeath >= 17) {
                    leaveHouse();
                }
            } else if (pelletCounter >= DOT_LIMIT) {
                leaveHouse();
            }
        }
        super.update(dt);
    }


}
