package com.me.pacman.entity.ai;

import com.badlogic.gdx.math.Vector2;
import com.me.pacman.entity.Clyde;
import com.me.pacman.state.PlayState;

public class ClydeChaseBehaviour extends Behaviour {

    public ClydeChaseBehaviour(PlayState state) {
        super(state);
    }

    @Override
    public Target getTarget() {
        Vector2 pacmanTile = state.pacman.getTileVector();
        Vector2 clydeTile = state.ghosts[3].getTileVector();
        // If clyde > 8 tiles away from pacman, target him directly - else, target Clyde's scatter tile
        return pacmanTile.dst2(clydeTile) >= 8*8? new Target(pacmanTile) : Clyde.SCATTER_TARGET;
    }
}
